---
title: Подключение к подсистеме "Версионирование"
slug: примеры-сниппеты-бсп-и-типовые-интеграция-собственных-объектов-подключение-к-подсистемам/подключение-к-подсистеме-версионирование
---

## Настройка объектов метаданных
- Все версионируемые объекты перечислить в свойстве `Тип` определяемого типа `ВерсионируемыеДанные` (типы Ссылка – например, `СправочникСсылка` или `ДокументСсылка`);

- В свойстве `Тип` определяемого типа `ВерсионируемыеДанныеОбъект` перечислить все версионируемые объекты, **КРОМЕ ДОКУМЕНТОВ** (типы Объект – например, `СправочникОбъект` или `БизнесПроцессОбъект`);

- Перечислить все версионируемые документы в свойстве `Источник` подписок `ЗаписатьВерсиюДокумента` (типы `ДокументОбъект`);

## Настройка форм
В обработчик `ПриСозданииНаСервере`
```bsl
// СтандартныеПодсистемы.ВерсионированиеОбъектов
ВерсионированиеОбъектов.ПриСозданииНаСервере(ЭтотОбъект);
// Конец СтандартныеПодсистемы.ВерсионированиеОбъектов
```
## Настройка модуля менеджера
В модуле менеджера нужно прописать этот код (без изменений, если без настроек)
```bsl
// СтандартныеПодсистемы.ВерсионированиеОбъектов
// Определяет настройки объекта для подсистемы ВерсионированиеОбъектов.
//
// Параметры:
// Настройки - Структура - настройки подсистемы.
Процедура ПриОпределенииНастроекВерсионированияОбъектов(Настройки) Экспорт
КонецПроцедуры
// Конец СтандартныеПодсистемы.ВерсионированиеОбъектов
```

## Скрытие служебных реквизитов из отчета "Версии объекта"
Для скрытия реквизитов и табличных частей необходимо дополнить процедуру `ПриОпределенииНастроекВерсионированияОбъектов`, добавить процедуру `ПриПолученииСлужебныхРеквизитов`, в которой перечислить список скрываемых реквизитов и табличных частей. В результате код будет выглядеть примерно так:
```bsl
// СтандартныеПодсистемы.ВерсионированиеОбъектов
// Определяет настройки объекта для подсистемы ВерсионированиеОбъектов.
//
// Параметры:
//  Настройки - Структура - настройки подсистемы.
Процедура ПриОпределенииНастроекВерсионированияОбъектов(Настройки) Экспорт
    Настройки.ПриПолученииСлужебныхРеквизитов = Истина;
КонецПроцедуры
// Ограничивает видимость реквизитов объекта в отчете по версии.
//
// Параметры:
//  Реквизиты - Массив - список имен реквизитов объекта.
Процедура ПриПолученииСлужебныхРеквизитов(Реквизиты) Экспорт
    Реквизиты.Добавить("ИмяРеквизита"); // реквизит объекта
    Реквизиты.Добавить("ИмяТабличнойЧасти.*"); // табличная часть объекта
КонецПроцедуры
// Конец СтандартныеПодсистемы.ВерсионированиеОбъектов
```
Затем 