---
title: Макет печатной формы
slug: примеры-сниппеты-бсп-и-типовые-механизмы-печати/макет-печатной-формы
---
```bsl
//Возвращает макет печатной формы по полному пути к макету.
//Если конфигурация рассчитана на несколько языков, в ней могут быть предусмотрены несколько макетов для этих языков:
//                           - ПФ_DOC_СчетНаОплату_ru
//                           - ПФ_DOC_СчетНаОплату_en
//                           - и т.п.
// В этом случае при поиске нужного макета учитывается следующий приоритет:
// 1) на языке, указанном в параметре КодЯзыка,
// 2) на языке конфигурации (ОбщегоНазначения.КодОсновногоЯзыка()),
// 3) без указания языка.
//
// Параметры
//  ПутьКМакету - Строка - полный путь к макету в формате:
//                         "Документ.<ИмяДокумента>.<ИмяМакета>"
//                         "Обработка.<ИмяОбработки>.<ИмяМакета>"
//                         "ОбщийМакет.<ИмяМакета>".
//  КодЯзыка    - Строка - язык, на котором требуется получить макет.
//                         Состоит из кода языка по ISO 639-1 и, опционально, кода страны по ISO 3166-1, разделенных символом подчеркивания. Примеры: "en", "en_US", "en_GB", "ru", "ru_RU".
Макет = УправлениеПечатью.МакетПечатнойФормы(ПутьКМакету, КодЯзыка)
```