---
title: Создание реквизитов формы
slug: примеры-сниппеты-общее-управляемые-формы-программное-создание-элементов-формы/создание-реквизитов-формы
---

## Пример добавления реквизитов
### Примитивные типы
```bsl
ДобавляемыеРеквизиты = Новый Массив; // Определяем массив добавляемых реквизитов

НовыйРеквизит = Новый РеквизитФормы("Комментарий", 
    Новый ОписаниеТипов("Строка", , Новый КвалификаторыСтроки(500))); 
ДобавляемыеРеквизиты.Добавить(НовыйРеквизит); 

НовыйРеквизит = Новый РеквизитФормы("Номер", 
    Новый ОписаниеТипов("Число", Новый КвалификаторыЧисла(10, 0))); 
ДобавляемыеРеквизиты.Добавить(НовыйРеквизит);

НовыйРеквизит = Новый РеквизитФормы("Дата", 
    Новый ОписаниеТипов("Дата", , , Новый КвалификаторыДаты(ЧастиДаты.ДатаВремя))); 
ДобавляемыеРеквизиты.Добавить(НовыйРеквизит);

НовыйРеквизит = Новый РеквизитФормы("Наименование", 
    Новый ОписаниеТипов("Строка", , Новый КвалификаторыСтроки(150))); 
ДобавляемыеРеквизиты.Добавить(НовыйРеквизит);

НовыйРеквизит = Новый РеквизитФормы(
    "ПометкаУдаления", Новый ОписаниеТипов("Булево")); 
ДобавляемыеРеквизиты.Добавить(НовыйРеквизит);	

ЭтотОбъект.ИзменитьРеквизиты(ДобавляемыеРеквизиты);
```
### Ссылочные типы
```bsl
РазрешенныеТипы = Новый Массив;
РазрешенныеТипы.Добавить("ДокументСсылка.ЗаказПоставщику");
РазрешенныеТипы.Добавить("ДокументСсылка.ПриобретениеТоваровУслуг");
ОписаниеТипов = Новый ОписаниеТипов(РазрешенныеТипы);
НовыйРеквизит = Новый РеквизитФормы(
    "ДокументПриобретения", 
    ОписаниеТипов, 
    , 
    "Документ приобретения", 
    Ложь);

ЭтотОбъект.ИзменитьРеквизиты(ДобавляемыеРеквизиты);
```

### Синтаксис

#### **`ИзменитьРеквизиты(<ДобавляемыеРеквизиты>, <УдаляемыеРеквизиты>)`**

### Параметры

#### `<ДобавляемыеРеквизиты>` (необязательный)

- **Тип:** `Массив`  
- **Описание:** Массив, содержащий объекты типа `РеквизитФормы`.

Добавлять можно реквизиты верхнего уровня и вложенные реквизиты, являющиеся колонками.  
К добавленным реквизитам верхнего уровня из модуля можно обращаться только с помощью конструкции:

```1c
ЭтотОбъект.<Имя реквизита>
```

#### `<УдаляемыеРеквизиты>` (необязательный)

- **Тип:** `Массив`  
- **Описание:** Массив, содержащий строки, описывающие пути к удаляемым реквизитам.
