---
title: Обход блокировки Youtube с помощью vps
slug: прочее/обход-блокировки-youtube-с-помощью-vps
---

## Шаг 1. Подключение к серверу через SSH

```bash
ssh root@<IP-адрес сервера>
```
При первом подключении подтвердите доверие к серверу, введя `yes`, и введите пароль.

## Шаг 2. Обновление списка пакетов

```bash
apt update
```

## Шаг 3. Установка `curl`

```bash
apt install curl -y
```

## Шаг 4. Загрузка установочного скрипта OpenVPN

```bash
curl -O https://raw.githubusercontent.com/angristan/openvpn-install/master/openvpn-install.sh
```

## Шаг 5. Дать права на исполнение скрипта

```bash
chmod +x openvpn-install.sh
```

## Шаг 6. Запуск скрипта установки

```bash
bash openvpn-install.sh
```

## Шаг 7. Ответы на вопросы установщика

- Укажите ваш публичный IPv4-адрес сервера (он подставляется автоматически).
- Включить поддержку IPv6: **Y** (если требуется).
- Порт для OpenVPN: **1194** (по умолчанию).
- Протокол: **UDP** (быстрее TCP).
- DNS-серверы для клиента: выберите **AdGuard DNS** (опция 11) или любой другой на выбор.
- Отключить сжатие: **No**.
- Не настраивать кастомные параметры шифрования: **No**.

## Шаг 8. Ожидание завершения установки

OpenVPN и все зависимости установятся автоматически. Также будет создана инфраструктура сертификации (PKI).

## Шаг 9. Создание клиента OpenVPN

Когда скрипт попросит ввести имя клиента, укажите, например:

```text
artem_pc
```

Когда спросит о защите файла паролем:
- Выберите **1** — без пароля для файла `.ovpn`.

## Шаг 10. Скачивание конфигурационного файла клиента

Готовый файл для подключения к VPN находится в:

```bash
/root/artem_pc.ovpn
```

### Как скачать все `.ovpn` файлы на Windows через PowerShell

В PowerShell выполни команду:

```powershell
scp root@<IP-адрес сервера>:/root/*.ovpn C:\Users\ТВОЙ_ПОЛЬЗОВАТЕЛЬ\Downloads\
```

Где:
- `<IP-адрес сервера>` — это IP твоего VPS.
- `ТВОЙ_ПОЛЬЗОВАТЕЛЬ` — имя твоего пользователя Windows.

Тебя попросят ввести пароль от сервера.

Если команда `scp` отсутствует, установи OpenSSH-клиент командой:

```powershell
Add-WindowsCapability -Online -Name OpenSSH.Client~~~~0.0.1.0
```

### Альтернативный способ — через WinSCP

- Скачай программу [WinSCP](https://winscp.net/eng/download.php).
- Подключись по протоколу SFTP к серверу.
- Найди файл `/root/artem_pc.ovpn` и скачай его на компьютер.

## Шаг 11. Импорт файла в OpenVPN клиент на Windows

- Скачай и установи [OpenVPN Connect](https://openvpn.net/client-connect-vpn-for-windows/).
- Открой программу.
- Нажми "Import Profile" → выбери файл `artem_pc.ovpn`.
- Подключись!

---

# Готово!

Теперь вы можете подключаться к вашему серверу через OpenVPN используя файл `artem_pc.ovpn`.


**Полезные команды для управления OpenVPN:**

- Перезапустить сервер OpenVPN:
```bash
systemctl restart openvpn@server
```

- Проверить статус сервиса:
```bash
systemctl status openvpn@server
```

- Добавить нового клиента позже:
```bash
bash openvpn-install.sh
```
(Скрипт позволяет добавлять и удалять клиентов после установки.)
